import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_position_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_position_table_entity.g.dart';

@JsonSerializable()
class ContractPositionTableEntity {
	int total = 0;
	List<ContractPositionTableRows> rows = [];

	ContractPositionTableEntity();

	factory ContractPositionTableEntity.fromJson(Map<String, dynamic> json) => $ContractPositionTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ContractPositionTableRows {
	String? id;
	@JSONField(name: "agency_name")
	String? agencyName;
	@JSONField(name: "position_id")
	String? positionId;
	String? position;
	@JSONField(name: "hourly_rate")
	String? hourlyRate;
	String? contract;
	@JSONField(name: "created_at")
	String? createdAt;

	ContractPositionTableRows();

	factory ContractPositionTableRows.fromJson(Map<String, dynamic> json) => $ContractPositionTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $ContractPositionTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}